Description

Instead of the approach we have now with having the caption in the inspector, we should instead make a checkbox that is marked with
"reloadIfChanged" and then a <caption> tag is rendered that can then be modified. This is would prevent using space in the inspector
and make it easier to write what's needed since it can then be formatted like other text. It also makes it easier to solve the issue with
having different captions for multiple images (not yet possible).

Associated revisions
Revision 30dad90d - 2013-05-16 01:06 - Pankaj Lele

[TASK] Image captions should be edited inline

Changes the caption UI for Image and TextWithImage
node types from input to a checkbox in the inspector and
caption can now be edited inline after activating the
checkbox and applying in the inspector.

This also adds a new node migration to make existing captions
visible.

Change-Id: I1d7d38a3e5d4c4447a1cec6bd813561d2ca93b50
Related: #48070

History
#1 - 2013-05-08 22:05 - Aske Ertmann
- Assigned To set to Adrian Föder

Hey Adrian what do you think about this change? I know we just merged the other stuff, but I feel like this is how it should have been done instead. Not
sure why I never thought of it before.

#2 - 2013-05-14 16:50 - Adrian Föder
- Status changed from New to Accepted
- Assigned To changed from Adrian Föder to Aske Ertmann

totally agree! Probably I was too much into Inspector Euphoria...

#3 - 2013-05-15 15:57 - Aske Ertmann
- Assigned To changed from Aske Ertmann to Pankaj Lele
#4 - 2013-05-16 11:38 - Pankaj Lele
- Status changed from Accepted to Resolved
- Assigned To deleted (Pankaj Lele)
- % Done changed from 0 to 100

#5 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
- Remaining (hours) set to 0.0
